package com.gic.haoban.manage.web.vo.clerktask;

import java.io.Serializable;

/**
 * 导购获取到的奖励信息
 */
public class ClerkAwardInfoVO implements Serializable {

    /**
     *  加好友、召回客户数
     */
    private int finishTaskCount ;

    /**
     * 排名 (召回、加好友）
     */
    private int rank ;

    /**
     * 现金（分)
     */
    private int cash ;

    /**
     * 礼品数
     */
    private int giftNum ;

    /**
     * 内容创作数
     */
    private int contentNum ;

    /**
     * 待审核数
     */
    private int contentAuditNum ;

    /**
     * 拒绝数
     */
    private int contentRefuseNum ;
    /**
     * 通过数
     */
    private int contentPassNum ;

    /**
     * 播放量
     */
    private int contentReadCount ;

    /**
     * 涨粉量
     */
    private int contentFollowCount ;

    /**
     * 点赞量
     */
    private int contentLinkCount ;

    /**
     * 收藏量
     */
    private int contentFavCount ;

    /**
     * 评论量
     */
    private int contentCommentCount ;

    /**
     * 分享量
     */
    private int contentForwardCount ;

    /**
     * 内容创作排名-达标
     */
    private int contentRank ;

    /**
     * 播放排名-达标
     */
    private int contentReadRank ;

    /**
     * 互动排名-达标
     */
    private int contentInteractRank ;

    /**
     * 涨粉排名-达标
     */
    private int contentFollowRank ;

    /**
     * 播放排名-单篇
     */
    private int contentSingleReadRank ;

    /**
     * 互动排名-单篇
     */
    private int contentSingleInteractRank ;

    /**
     * 涨粉排名-单篇
     */
    private int contentSingleFollowRank ;

    public int getFinishTaskCount() {
        return finishTaskCount;
    }

    public void setFinishTaskCount(int finishTaskCount) {
        this.finishTaskCount = finishTaskCount;
    }

    public int getRank() {
        return rank;
    }

    public void setRank(int rank) {
        this.rank = rank;
    }

    public int getCash() {
        return cash;
    }

    public void setCash(int cash) {
        this.cash = cash;
    }

    public int getGiftNum() {
        return giftNum;
    }

    public void setGiftNum(int giftNum) {
        this.giftNum = giftNum;
    }

    public int getContentNum() {
        return contentNum;
    }

    public void setContentNum(int contentNum) {
        this.contentNum = contentNum;
    }

    public int getContentAuditNum() {
        return contentAuditNum;
    }

    public void setContentAuditNum(int contentAuditNum) {
        this.contentAuditNum = contentAuditNum;
    }

    public int getContentRefuseNum() {
        return contentRefuseNum;
    }

    public void setContentRefuseNum(int contentRefuseNum) {
        this.contentRefuseNum = contentRefuseNum;
    }

    public int getContentPassNum() {
        return contentPassNum;
    }

    public void setContentPassNum(int contentPassNum) {
        this.contentPassNum = contentPassNum;
    }

    public int getContentReadCount() {
        return contentReadCount;
    }

    public void setContentReadCount(int contentReadCount) {
        this.contentReadCount = contentReadCount;
    }

    public int getContentFollowCount() {
        return contentFollowCount;
    }

    public void setContentFollowCount(int contentFollowCount) {
        this.contentFollowCount = contentFollowCount;
    }

    public int getContentLinkCount() {
        return contentLinkCount;
    }

    public void setContentLinkCount(int contentLinkCount) {
        this.contentLinkCount = contentLinkCount;
    }

    public int getContentFavCount() {
        return contentFavCount;
    }

    public void setContentFavCount(int contentFavCount) {
        this.contentFavCount = contentFavCount;
    }

    public int getContentCommentCount() {
        return contentCommentCount;
    }

    public void setContentCommentCount(int contentCommentCount) {
        this.contentCommentCount = contentCommentCount;
    }

    public int getContentForwardCount() {
        return contentForwardCount;
    }

    public void setContentForwardCount(int contentForwardCount) {
        this.contentForwardCount = contentForwardCount;
    }

    public int getContentRank() {
        return contentRank;
    }

    public void setContentRank(int contentRank) {
        this.contentRank = contentRank;
    }

    public int getContentReadRank() {
        return contentReadRank;
    }

    public void setContentReadRank(int contentReadRank) {
        this.contentReadRank = contentReadRank;
    }

    public int getContentInteractRank() {
        return contentInteractRank;
    }

    public void setContentInteractRank(int contentInteractRank) {
        this.contentInteractRank = contentInteractRank;
    }

    public int getContentFollowRank() {
        return contentFollowRank;
    }

    public void setContentFollowRank(int contentFollowRank) {
        this.contentFollowRank = contentFollowRank;
    }

    public int getContentSingleReadRank() {
        return contentSingleReadRank;
    }

    public void setContentSingleReadRank(int contentSingleReadRank) {
        this.contentSingleReadRank = contentSingleReadRank;
    }

    public int getContentSingleInteractRank() {
        return contentSingleInteractRank;
    }

    public void setContentSingleInteractRank(int contentSingleInteractRank) {
        this.contentSingleInteractRank = contentSingleInteractRank;
    }

    public int getContentSingleFollowRank() {
        return contentSingleFollowRank;
    }

    public void setContentSingleFollowRank(int contentSingleFollowRank) {
        this.contentSingleFollowRank = contentSingleFollowRank;
    }
}
